#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.1
visibility:           public
id:                   what4-1.1-EX5pGi5n9OcLAS9knSL3AS
key:                  what4-1.1-EX5pGi5n9OcLAS9knSL3AS
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2021
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  f0d4a41ecedc842d841d9df9d8e194b0
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Syntax What4.Protocol.SMTWriter
    What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.ExternalABC What4.Solver.STP What4.Solver.Yices
    What4.Solver.Z3 What4.Symbol What4.Utils.AbstractDomains
    What4.Utils.AnnotatedMap What4.Utils.Arithmetic
    What4.Utils.BVDomain What4.Utils.BVDomain.Arith
    What4.Utils.BVDomain.Bitwise What4.Utils.BVDomain.XOR
    What4.Utils.Complex What4.Utils.Endian What4.Utils.Environment
    What4.Utils.FloatHelpers What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyIntRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-8.10.5/site-local/what4-1.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/what4-1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/what4-1.1
hs-libraries:         HSwhat4-1.1-EX5pGi5n9OcLAS9knSL3AS
depends:
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6 base-4.14.2.0
    bifunctors-5.5.11-KIJIfjFRTJDJ2IFv8ycKWx
    bimap-0.4.0-4T1OYakUleU5uYZAJ7GvFv
    bv-sized-1.0.3-8WAjCCC7prOEmFH1gpKPQm bytestring-0.10.12.0
    config-value-0.8.1-G5DQMqzxLAIEt1XZ4gJ1e4 containers-0.6.4.1
    data-binary-ieee754-0.4.4-BBofvLKootn8l57SJnz736 deepseq-1.4.4.0
    deriving-compat-0.5.10-JQns1vkEkdWE5V6i5ohOMi directory-1.3.6.0
    exceptions-0.10.4 extra-1.7.9-6l5DzWC6gJ45BZUbsSD5mV
    filepath-1.4.2.1 fingertree-0.1.4.2-AmccQaGr7nu5BkutGe38Yh
    ghc-prim-0.6.1 hashable-1.3.2.0-IDkVQhKLyXDF7itJntNZ2M
    hashtables-1.2.4.1-KCtV7y1aAsFcfcveyIPzT
    io-streams-1.5.2.1-BFiYJmOFaQK7VC7Hd5dfee
    lens-5.0.1-35rFO49duny9UmEBJRCnDB
    libBF-0.6.2-8ct2IjWWjc26z12fy3g5su mtl-2.2.2
    panic-0.4.0.1-CC1ZcQUH1dn9LYmscKShje
    parameterized-utils-2.1.3.0-6CO6oU9ChGlERc6oc8I9VC
    prettyprinter-1.7.0-2k3IpzNuta42oe8XIUM8Fs process-1.6.9.0
    scientific-0.3.7.0-9YboVbL14mb3RAuy75saJh template-haskell-2.16.0.0
    temporary-1.3-BDoGPG2fF5P3MQeO1JQscK text-1.2.4.1
    th-abstraction-0.4.2.0-5X2XqBZ7rCLBwJXut5dQBZ
    th-lift-0.8.2-A94jWiBJfaQF1v2Vq9YgsH
    th-lift-instances-0.1.18-ITLwgpHfp81BhBZMG5OkBV
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-1OFWlQlrCvvLaIazZ0Uw3i
    utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du
    vector-0.12.3.0-EcRb4NXFUGH91vV3xG3jJs
    versions-5.0.0-D9F0cvzf8xe7Y5nW4QPTCT
    zenc-0.1.1-IkJkCIhk8V9kMIZIfePki

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

